Update pickup information of an order - Fabric

Update pickup information of an order

cURL

curl --request PATCH \
  --url https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '\n{\n  "name": {\n    "first": "John",\n    "middle": "Middle",\n    "last": "Doe"\n  },\n  "email": "john123@gmail.com",\n  "phone": {\n    "number": "55555555555",\n    "type": "MOBILE"\n  },\n  "pickupType": "Primary"\n}\n'  

Python Example

import requests

url = "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup"

payload = {
    "name": {
        "first": "John",
        "middle": "Middle",
        "last": "Doe"
    },
    "email": "john123@gmail.com",
    "phone": {
        "number": "55555555555",
        "type": "MOBILE"
    },
    "pickupType": "Primary"
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)

JavaScript Fetch Example

const options = {
  method: 'PATCH',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: {first: 'John', middle: 'Middle', last: 'Doe'},
    email: 'john123@gmail.com',
    phone: {number: '55555555555', type: 'MOBILE'},
    pickupType: 'Primary'
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP Example

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    'name' => [
        'first' => 'John',
        'middle' => 'Middle',
        'last' => 'Doe'
    ],
    'email' => 'john123@gmail.com',
    'phone' => [
        'number' => '55555555555',
        'type' => 'MOBILE'
    ],
    'pickupType' => 'Primary'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go Example

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/order/{orderId}/shipto/{shipToId}/pickup"
    
    payload := strings.NewReader("{\n  \"name\": {\n    \"first\": \"John\",\n    \"middle\": \"Middle\",\n    \"last\": \"Doe\"\n  },\n  \"email\": \"john123@gmail.com\",\n  \"phone\": {\n    \"number\": \"55555555555\",\n    \"type\": \"MOBILE\"\n  },\n  \"pickupType\": \"Primary\"\n}" )

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Example JSON Body

{
  "name": {
    "first": "John",
    "middle": "Middle",
    "last": "Doe"
  },
  "email": "john123@gmail.com",
  "phone": {
    "number": "55555555555",
    "type": "MOBILE"
  },
  "pickupType": "Primary"
}

Example JSON Response

{
  "shipToId": "5349b4ddd2781d08c09890f4",
  "taxCode": "FR01",
  "locationNum": "123",
  "pickup": [
    {
      "name": {
        "first": "John",
        "middle": "Middle",
        "last": "Doe"
      },
      "email": "john123@gmail.com",
      "phone": {
        "number": "55555555555",
        "type": "MOBILE"
      },
      "pickupType": "Primary"
    }
  ],
  "shipToAddress": {
    "address1": "First line of address",
    "name": {
      "first": "John",
      "middle": "Middle",
      "last": "Doe"
    },
    "email": "john123@gmail.com",
    "phone": {
      "number": "55555555555",
      "type": "MOBILE"
    },
    "address2": "123 Parking Lot",
    "address3": "Third line of address",
    "address4": "Fourth line of address",
    "city": "Beaumont",
    "state": "TX",
    "country": "USA",
    "postalCode": "77705",
    "type": "residence",
    "latitude": 35.294952,
    "longitude": 32.294952
  },
  "taxDetail": [
    {
      "type": "tax",
      "value": 34.56
    }
  ],
  "shipMethod": "Express Delivery",
  "shipToType": "SHIP_TO_ADDRESS",
  "estimatedShipDate": "2022-05-12T09:30:31.198Z",
  "estimatedDeliveryDate": "2022-05-12T09:30:31.198Z",
  "shipToPrice": 20,
  "shipToDiscount": 12.6,
  "shipToTaxTotal": 12.6,
  "shipmentInstructions": "User instructions",
  "attributes": {
    "isOpenBox": false,
    "isOTPDElivery": true
  }
}

Error Responses

Bad Request

{
  "message": "Bad request"
}

Order Not Found

{
  "message": "Order not found"
}

Internal Server Error

{
  "message": "Internal server error"
}